﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Animation;
using System.Windows.Media.Media3D;

namespace Wpf3D1
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void StartRotation()
        {
            DoubleAnimation animation = new DoubleAnimation();
            animation.From = -70;
            animation.To = 70;
            animation.Duration = TimeSpan.FromSeconds(1);
            animation.AutoReverse = true;
            animation.RepeatBehavior = RepeatBehavior.Forever;
            this.axisAngleRotation3D.BeginAnimation(AxisAngleRotation3D.AngleProperty, animation);
        }

        private void buttonRotate_Click(object sender, RoutedEventArgs e)
        {
            StartRotation();
        }
    }
}
